This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 723117

Summary: dock changes the window size unexpectedly
Product: [Fedora] Fedora Reporter: Akira TAGOH <tagoh>
Component: gnome-shell-extensionsAssignee: Rahul Sundaram <metherid>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: metherid, pikachu.2014, timur.kristof
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 13:19:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Akira TAGOH 2011-07-19 02:45:54 EDT
Description of problem:
When a window has too long title, the right-click on the dock to pop up the menu causes the unexpected window size change.

Version-Release number of selected component (if applicable):
gnome-shell-extensions-dock-3.0.2-1.g63dd27cgit.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1.create any window with too long title
2.right click app icon on the dock, which has too long title.
3.back to the desktop
  
Actual results:
window size is vertically collapsed.

Expected results:
no window size changed

Additional info:
I have over 330 characters as the window title on 1366x768 pixels monitor and 96 DPI at least.
Comment 1 Akira TAGOH 2011-07-19 02:47:54 EDT
forgot to mention this: once the window size forcibly changed, maximizing the window behaves differently. no maximize the window size vertically. but only horizontally working.
Comment 2 Fedora End Of Life 2012-08-07 13:19:04 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping